Package org.apache.felix.log

# Class RootLoggerContextImpl

java.lang.Object
org.apache.felix.log.LoggerContextImpl
org.apache.felix.log.RootLoggerContextImpl

All Implemented Interfaces:
  `org.osgi.service.log.admin.LoggerContext`

public class RootLoggerContextImpl extends LoggerContextImpl

## Field Summary

### Fields inherited from class org.apache.felix.log.LoggerContextImpl

`_levels, _lock, _loggerAdminImpl, _rootContext`

### Fields inherited from interface org.osgi.service.log.admin.LoggerContext

`LOGGER_CONTEXT_DEFAULT_LOGLEVEL, LOGGER_CONTEXT_PID`

## Constructor Summary

Constructors
Constructor
Description
`RootLoggerContextImpl(String defaultLogLevelString, LoggerAdminImpl loggerAdminImpl)`

## Method Summary

Modifier and Type
Method
Description
`org.osgi.service.log.LogLevel`
`getEffectiveLogLevel(String name)`

### Methods inherited from class org.apache.felix.log.LoggerContextImpl

`ancestor, clear, getLogLevels, getName, isEmpty, setLogLevels, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### RootLoggerContextImpl

public RootLoggerContextImpl(String defaultLogLevelString, LoggerAdminImpl loggerAdminImpl)

## Method Details

### getEffectiveLogLevel

public org.osgi.service.log.LogLevel getEffectiveLogLevel(String name)

Specified by:
  `getEffectiveLogLevel` in interface `org.osgi.service.log.admin.LoggerContext`
Overrides:
  `getEffectiveLogLevel` in class `LoggerContextImpl`